# Module futures_channel::oneshot [−] [src]

A channel for sending a single message between asynchronous tasks.

This is a single-producer, single-consumer channel.

## Structs

Canceled | Error returned from a `Receiver` when the corresponding `Sender` is dropped.
Cancellation | A future that resolves when the receiving end of a channel has hung up.
Receiver | A future for a value that will be provided by another asynchronous task.
Sender | A means of transmitting a single value to another task.

## Functions

channel | Creates a new one-shot channel for sending a single value across asynchronous tasks.